Bug 94181 - [regression] piglit.spec.ext_framebuffer_object.getteximage-formats init-by-clear-and-render
Summary: [regression] piglit.spec.ext_framebuffer_object.getteximage-formats init-by-c...
Status: RESOLVED NOTABUG
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Topi Pohjolainen
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-16 19:39 UTC by Mark Janes
Modified: 2016-05-28 00:02 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2016-02-16 19:39:54 UTC
This test began failing with the following output:

/tmp/build_root/m64/lib/piglit/bin/getteximage-formats init-by-clear-and-render -auto -fbo
Using test set: Core formats
The textures will be initialized by rendering to them using glCear and glDrawPixels.
getteximage-formats failure: format: 3, level 1 at pixel(369, 103)
 Expected (0.992157, 0.992157, 0.501961, 1.000000)
	 Found (0.000000, 0.000000, 0.000000, 1.000000)
Tolerance (0.031250, 0.031250, 0.031250, 0.250000)
{many other pixel comparisons follow}

bisected commit:
36b7c0dad90e5b24c33d9e3a803bc3a02f49d84b
Author:     Topi Pohjolainen <topi.pohjolainen@intel.com>
Revert "i965: Restore vbo after color resolve during brw_try_draw_prims()"

This got pushed accidentally in the first place but wasn't reverted
as it didn't regress piglit but instead fixed one newly introduced
test exercising a corner in case in i965 driver. However, saving and
restoring vertex buffer context is complicated and requires more
thought.

Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=94150

Signed-off-by: Topi Pohjolainen <topi.pohjolainen@intel.com>
Reviewed-by: Tapani Palli <tapani.palli@intel.com>
Comment 1 Mark Janes 2016-02-16 21:00:19 UTC
This regression was expected, as is noted in

https://patchwork.freedesktop.org/patch/73748/


bug/show.html.tmpl processed on Jan 22, 2017 at 22:26:24.
(provided by the Example extension).